Commit 5b961774 authored by Petr Kovář's avatar Petr Kovář
Browse files

Update extensions- pages

parent 9fb338ad
......@@ -5,15 +5,14 @@
<info>
<link type="guide" xref="index#extension" />
<revision pkgversion="3.9" version="0.1" date="2013-08-07" status="stub"/>
<link type="seealso" xref="extensions-mandatory" />
<revision pkgversion="3.12" date="2014-06-17" status="review"/>
<link type="seealso" xref="extensions-lockdown" />
<link type="seealso" xref="extensions" />
<credit type="author copyright">
<name>Petr Kovar</name>
<email>pknbe@volny.cz</email>
<years>2013</years>
<years>2014</years>
</credit>
<include href="legal.xml" xmlns="http://www.w3.org/2001/XInclude"/>
......@@ -51,12 +50,14 @@ system-db:local
enabled-extensions=['<input>myextension1@myname.example.com</input>', '<input>myextension2@myname.example.com</input>']
</code>
</listing>
<p>The <code>enabled-extensions</code> key specifies the enabled
extensions using the extensions' uuid
(<code>myextension1@myname.example.com</code> and
<code>myextension2@myname.example.com</code>).</p>
</item>
<item>
<p>Update the system databases:</p>
<screen its:translate="no">
<output style="prompt"># </output><input>dconf update</input>
</screen>
<screen its:translate="no"><output style="prompt"># </output><input>dconf update</input></screen>
</item>
</steps>
......
......@@ -5,15 +5,14 @@
<info>
<link type="guide" xref="index#extension" />
<revision pkgversion="3.9" version="0.1" date="2013-09-03" status="draft"/>
<link type="seealso" xref="extensions-mandatory" />
<revision pkgversion="3.12" date="2014-06-17" status="review"/>
<link type="seealso" xref="extensions-enable" />
<link type="seealso" xref="extensions" />
<credit type="author copyright">
<name>Petr Kovar</name>
<email>pknbe@volny.cz</email>
<years>2013</years>
<years>2014</years>
</credit>
<include href="legal.xml" xmlns="http://www.w3.org/2001/XInclude"/>
......@@ -25,7 +24,8 @@
<p>In GNOME Shell, you can prevent the user from enabling or disabling
extensions by locking down the <code>org.gnome.shell.enabled-extensions</code>
and <code>org.gnome.shell.development-tools</code> keys.</p>
and <code>org.gnome.shell.development-tools</code> keys. This allows you to
provide a set of extensions that the user has to use.</p>
<p>Locking down the <code>org.gnome.shell.development-tools</code> key ensures
that the user cannot use GNOME Shell's integrated debugger and inspector tool
......@@ -56,6 +56,12 @@ enabled-extensions=['<input>myextension1@myname.example.com</input>', '<input>my
development-tools=false
</code>
</listing>
<p>The <code>enabled-extensions</code> key specifies the enabled
extensions using the extensions' uuid
(<code>myextension1@myname.example.com</code> and
<code>myextension2@myname.example.com</code>).</p>
<p>The <code>development-tools</code> key is set to false to disable
access to Looking Glass.</p>
</item>
<item>
<p>Override the user's setting and prevent the user from changing it in
......@@ -70,9 +76,7 @@ development-tools=false
</item>
<item>
<p>Update the system databases:</p>
<screen its:translate="no">
<output style="prompt"># </output><input>dconf update</input>
</screen>
<screen its:translate="no"><output style="prompt"># </output><input>dconf update</input></screen>
</item>
</steps>
......
<page xmlns="http://projectmallard.org/1.0/"
xmlns:its="http://www.w3.org/2005/11/its"
type="topic" style="task"
id="extensions-mandatory">
<info>
<link type="guide" xref="index#extension" />
<revision pkgversion="3.9" version="0.1" date="2013-08-07" status="stub"/>
<link type="seealso" xref="extensions-lockdown" />
<link type="seealso" xref="extensions-enable" />
<link type="seealso" xref="extensions" />
<credit type="author copyright">
<name>Petr Kovar</name>
<email>pknbe@volny.cz</email>
<years>2013</years>
</credit>
<include href="legal.xml" xmlns="http://www.w3.org/2001/XInclude"/>
<desc>Set up machine-wide GNOME Shell extensions that are
mandatory to use.</desc>
</info>
<title>Set up mandatory extensions</title>
<p>In GNOME Shell, you can provide a set of extensions that the user has to
use. To do so, install the extensions in the
<file>/usr/share/gnome-shell/extensions</file> directory and then lock down
the <code>org.gnome.shell.enabled-extensions</code> and
<code>org.gnome.shell.development-tools</code> keys.</p>
<p>Locking down the <code>org.gnome.shell.development-tools</code> key ensures
that the user cannot use GNOME Shell's integrated debugger and inspector tool
(<app>Looking Glass</app>) to disable any mandatory extensions.</p>
<steps>
<title>Lock down the org.gnome.shell.enabled-extensions and
org.gnome.shell.development-tools keys</title>
<item>
<p>Create a <code>user</code> profile in <file>/etc/dconf/profile/user</file>:
</p>
<listing>
<code>
user-db:user
system-db:local
</code>
</listing>
</item>
<item>
<p>Create a <code>local</code> database for machine-wide settings in
<file>/etc/dconf/db/local.d/00-extensions-mandatory</file>:</p>
<listing>
<code>
[org/gnome/shell]
# List all mandatory extensions
enabled-extensions=['<input>myextension1@myname.example.com</input>', '<input>myextension2@myname.example.com</input>']
# Disable access to Looking Glass
development-tools=false
</code>
</listing>
</item>
<item>
<p>Override the user's setting and prevent the user from changing it in
<file>/etc/dconf/db/local.d/locks/extensions-mandatory</file>:</p>
<listing>
<code>
# Lock the list of mandatory extensions
/org/gnome/shell/enabled-extensions
/org/gnome/shell/development-tools
</code>
</listing>
</item>
<item>
<p>Update the system databases:</p>
<screen its:translate="no">
<output style="prompt"># </output><input>dconf update</input>
</screen>
</item>
</steps>
</page>
......@@ -5,10 +5,9 @@
<info>
<link type="guide" xref="index#extension" />
<revision pkgversion="3.9" version="0.1" date="2013-08-07" status="stub"/>
<revision pkgversion="3.9" version="0.1" date="2013-08-07" status="review"/>
<link type="seealso" xref="extensions-lockdown" />
<link type="seealso" xref="extensions-enable" />
<link type="seealso" xref="extensions-mandatory" />
<credit type="author copyright">
<name>Petr Kovar</name>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment